## GwyParamResource GwyParamResource — Resources holding set of parameters |

## Functions

GType | gwy_param_def_make_resource_type ()
GwyParams * | gwy_param_resource_get_params ()

## Types and Values

| GwyParamResource
| GwyParamResourceClass

## Object Hierarchy

        GObject
        ╰── GwyResource
            ╰── GwyParamResource

## Includes

    #include <app/gwyapp.h>

## Description

GwyParamResource represents a resource holding a GwyParams set of module parameter values. It can be useful to implement parameter presets, stored on disk.

It is an abstract base class. Modules have to create a specific class for their presets using `gwy_param_def_make_resource_type()` which constructs, registers and returns a new Gtype for the specific resource class.

## Functions

### gwy_param_def_make_resource_type ()

    GType
    gwy_param_def_make_resource_type (GwyParamDef *pardef,
                                      const gchar *glibtypename,
                                      const gchar *resname);

Creates a resource class for holding parameters of given type.

The created resource can be used to handle module presets without having to implement loading and saving the parameters from and to files.

If `pardef` has already set function name with `gwy_param_def_set_function_name()` (recommended), `resname` can be `NULL` to use the `pardef` 's function name.

#### Parameters

pardef | A set of parameter definitions. |
glibtypename | Type name in the GLib type system to create, for instance GwyRawFilePreset. |
resname | Resource name, used as directory name (`name` field in GwyResourceClass). |

#### Returns

A newly registered type id in the GLib type system.

Since: 2.62

### gwy_param_resource_get_params ()

    GwyParams *
    gwy_param_resource_get_params (GwyParamResource *resource);

Gets the set of parameter values of a parameter resource.

#### Parameters

resource | A resource holding a pararameter set. |

#### Returns

The parameter set.

Since: 2.62

## Types and Values

### GwyParamResource

    typedef struct _GwyParamResource GwyParamResource;

Abstract object representing a resource holding a set of parameter values.

The GwyParamResource struct contains no public fields.

Since: 2.62

### GwyParamResourceClass

    typedef struct _GwyParamResourceClass GwyParamResourceClass;

Abstract class of resources holding parameter value sets.

Since: 2.62